summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure27
1 files changed, 10 insertions, 17 deletions
diff --git a/configure b/configure
index 20ecf37..a19e11e 100755
--- a/configure
+++ b/configure
@@ -19554,7 +19554,6 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
# Checks for libraries.
-#AC_CHECK_LIB(m, [sqrt])
if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
@@ -20087,12 +20086,12 @@ if test -n "$PKG_CONFIG"; then
pkg_cv_libxml_CFLAGS="$libxml_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libxml++-2.6 >= 2.24\"") >&5
- ($PKG_CONFIG --exists --print-errors "libxml++-2.6 >= 2.24") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libxml++-2.6\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libxml++-2.6") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_libxml_CFLAGS=`$PKG_CONFIG --cflags "libxml++-2.6 >= 2.24" 2>/dev/null`
+ pkg_cv_libxml_CFLAGS=`$PKG_CONFIG --cflags "libxml++-2.6" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -20105,12 +20104,12 @@ if test -n "$PKG_CONFIG"; then
pkg_cv_libxml_LIBS="$libxml_LIBS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libxml++-2.6 >= 2.24\"") >&5
- ($PKG_CONFIG --exists --print-errors "libxml++-2.6 >= 2.24") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libxml++-2.6\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libxml++-2.6") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_libxml_LIBS=`$PKG_CONFIG --libs "libxml++-2.6 >= 2.24" 2>/dev/null`
+ pkg_cv_libxml_LIBS=`$PKG_CONFIG --libs "libxml++-2.6" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -20129,9 +20128,9 @@ else
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- libxml_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libxml++-2.6 >= 2.24"`
+ libxml_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libxml++-2.6"`
else
- libxml_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libxml++-2.6 >= 2.24"`
+ libxml_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libxml++-2.6"`
fi
# Put the nasty error message in config.log where it belongs
echo "$libxml_PKG_ERRORS" >&5
@@ -20155,19 +20154,12 @@ fi
# Checks for header files.
-#AC_HEADER_STDC
-#AC_CHECK_HEADERS([stddef.h stdlib.h string.h])
# Checks for typedefs, structures, and compiler characteristics.
-#AC_HEADER_TIME
# Checks for library functions.
-#AC_FUNC_MALLOC
-#AC_FUNC_REALLOC
-#AC_CHECK_FUNCS([sqrtf], , AC_MSG_ERROR([required function sqrtf not found]))
-
-ac_config_files="$ac_config_files Makefile src/Makefile src/Data/Makefile src/Gui/Makefile"
+ac_config_files="$ac_config_files Makefile src/Makefile src/Data/Makefile src/Gui/Makefile src/Util/Makefile"
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
@@ -20766,6 +20758,7 @@ do
"src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
"src/Data/Makefile") CONFIG_FILES="$CONFIG_FILES src/Data/Makefile" ;;
"src/Gui/Makefile") CONFIG_FILES="$CONFIG_FILES src/Gui/Makefile" ;;
+ "src/Util/Makefile") CONFIG_FILES="$CONFIG_FILES src/Util/Makefile" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}